%define name kaim
%define version 0.70
%define release 1mdk

%define builddir $RPM_BUILD_DIR/%{name}-%{version}

Summary: 	Kaim is an AOL instant messenger
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Networking/Instant messaging
Source: 	%{name}-%{version}.tar.bz2
URL: 		http://www.csh.rit.edu/~benjamin/benjamin/works/kaim/
BuildRoot: 	%_tmppath/%name-buildroot
Requires: 	qt2 >= 2.2.0 
BuildRequires:  gcc-cpp db3 readline pam popt libtermcap2 zlib1 XFree86-devel XFree86-libs Mesa-common
BuildRequires:  XFree86-static-libs automake autoconf diffutils file m4 texinfo gcc-c++ libbinutils2
BuildRequires:  libbzip2_1 db1 freetype2 libjpeg62 libmng1 libqt2 libstdc++2.10 libqt2-devel rpm-build


%description
Kaim is an AOL instant messenger. Although Kaim's name goes with the
KDE scheme it currently uses the QT 2.x libraries and thus does not
require KDE.  Future versions may incorporate KDE back into the
application.

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build

./configure --prefix=%_prefix \
	    --with-qt-dir=/usr/lib/qt2 \
	    --enable-final \
	    --disable-debug

%make 

%install

%makeinstall

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/kaim"\
title="Kaim"\
icon="%{name}.png"\
longtitle="AOL instant messenger"\
needs="x11"\
section="Networking/Instant messaging"
EOF
)

%post
%update_menus
 
%postun
%clean_menus
 
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_bindir/*
%dir %_datadir/kaim/
%dir %_datadir/kaim/icons/
%_datadir/kaim/icons/*.png
%_menudir/*
%doc AUTHORS COPYING ChangeLog INSTALL NEWS PROTOCOL README TODO kaim.lsm

%changelog
* Thu Apr 12 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.70-1mdk
- udpated to 0.70

* Wed Mar 28 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.51-5mdk
- Add build requires

* Tue Mar 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.51-4mdk
- Add menu entry

* Tue Mar 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.51-3mdk
- Clean spec

* Tue Mar 20 2001 David BAUDENS <baudens@mandrakesoft.com> 0.51-2mdk
* Rebuild against Qt 2.3.0

* Fri Jan 11 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.51-1mdk 
- updated to 0.51

* Tue Dec 05 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.50-1mdk
- new in contribs
